exchange database between versions 1.3.4 and 1.4

Post Reply
s_mellino
Posts: 11
Joined: 25 Mar 2013 20:57

exchange database between versions 1.3.4 and 1.4

Post by s_mellino » 30 Jan 2014 14:41

Hi,

I want to know if it is possible to exchange data between the versions 1.3.4 and 1.4 (beta 3). I have a database with many personal processes and system products, but I'm not able to export my database into a compatible format for 1.4. The version 1.3.4 exports the database in .olca but the 1.4 accepts only .zolca.
How can I fix this problem? I want to test the 1.4 with my modified database, without loosing information.

Thank you.

Salvatore Mellino

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: exchange database between versions 1.3.4 and 1.4

Post by aciroth » 30 Jan 2014 15:55

Hi Salvatore,
there is a migration plugin available for the 1.3.4 version. If you install it, you can export a complete database as zolca file.
Best
Andreas
2014-01-30 14_51_35-.png
2014-01-30 14_51_35-.png (33.29 KiB) Viewed 4611 times
2014-01-30 14_52_35-Export.png
2014-01-30 14_52_35-Export.png (22.05 KiB) Viewed 4611 times

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: exchange database between versions 1.3.4 and 1.4

Post by aciroth » 31 Jan 2014 16:19

.. i forgot to add: you can then import this database into openLCA 1.4 either as a new database or into another database, e.g. with ecoinvent data, via the database import option.
2014-01-31 15_06_44-openLCA 1.4 (beta 3).png
2014-01-31 15_06_44-openLCA 1.4 (beta 3).png (18.23 KiB) Viewed 4605 times

ntichenor
Posts: 7
Joined: 10 Mar 2015 20:38

Re: exchange database between versions 1.3.4 and 1.4

Post by ntichenor » 18 Mar 2015 18:00

If I am using v 1.4.1, and I have a .olca file, is there a method available to convert to .zolca without installing 1.3.4 and MySQL?

If not, it would be nice to have a similar plug-in for v. 1.4.1...

Thanks for your help.

Best,

Nicole

aciroth
Posts: 750
Joined: 09 May 2010 23:28

Re: exchange database between versions 1.3.4 and 1.4

Post by aciroth » 19 Mar 2015 03:55

Hi Nicole,
no this "pull" migration does not exist, we only implemented a "push" migration from 1.3 to 1.4. But why do you have an olca file without openLCA 1.3 installed (if I may ask)?
Best
Andreas

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest